Skip to main content
PATCH
/
v1
/
campaigns
/
{campaignId}
/
steps
/
{stepId}
Atualizar step da campanha
curl --request PATCH \
  --url https://api.nuvia.ai/v1/campaigns/{campaignId}/steps/{stepId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "order": 4503599627370495,
  "action_config": {
    "template_name": "<string>",
    "language_code": "<string>",
    "components": [
      {
        "index": "<string>",
        "parameters": [
          {
            "image": {
              "link": "<string>",
              "id": "<string>"
            },
            "document": {
              "link": "<string>",
              "filename": "<string>"
            },
            "video": {
              "link": "<string>"
            },
            "text": "<string>",
            "value": "<string>",
            "link": "<string>",
            "imageUrl": "<string>",
            "imageId": "<string>",
            "documentUrl": "<string>",
            "documentFilename": "<string>",
            "videoUrl": "<string>",
            "currencyCode": "<string>",
            "currencyAmount": 123,
            "dateTime": "<string>",
            "payload": "<string>",
            "parameter_name": "<string>",
            "variable_ref": "<string>"
          }
        ]
      }
    ],
    "text_content": "<string>"
  },
  "send_config": {
    "inbox_id": "<string>",
    "agent_to_activate": "<string>"
  },
  "delay_config": {
    "delay_value": 4503599627370495
  }
}
'
{}

Authorizations

Authorization
string
header
required

Token JWT de autenticação

Path Parameters

campaignId
string
required

ID da campanha

stepId
string
required

ID do step

Body

application/json
name
string
Required string length: 1 - 100
order
integer
Required range: 0 <= x <= 9007199254740991
action_config
object
send_config
object
delay_config
object
status
enum<string>
Available options:
active,
paused,
deleted

Response

200 - application/json

The response is of type object.